Subject: RE: Problems with NFS server
From: "Nicolas Boudin" <[email-masked]>
To: "Sam Robb" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 21 Jun 2006 10:41:00 +0200

Hello,

>   - If I'm understanding you correctly, it seems like your server.map
> didn't get created properly.  For the administrator uid and 
> gid entries,
> there should definitely be a mapping of id '0' to the 
> appropriate cygwin
> system administrator uid/gid.  You can find these using 'id -u
> administrator' and 'id -g administrator' from a cygwin bash shell.  If
> these aren't present, then the NFS server may have a problem obtaining
> permissions to read/write files on the NFS mount.

I have put correct values here now.

>   - In your original message, you mentioned that you are 
> running Windows
> XP.  Do you have a firewall running on that system that might be
> interfering with NFS? You'll need to make sure that ports 111 and 2049
> are open for TCP and UDP traffic.  Microsoft provides 
> information about
> opening ports in the Windows XP Internet Connection Firewall on their
> web site at http://www.microsoft.com/security/protect/ports.asp.

These ports are open. I don't understand why NFS transfers work with U-Boot but not with the kernel.

File Monitor told me nfsd was failing to open the C:/ directory (my cygwin is in C:/local), so it looks like it was a permission problem, but everything was allowed for members of my Administrators group, like my nfs user who is running the NFS services. So it is strange it didn't report me an "acces denied" error.

Now it goes a bit further, it can mount the root filesystem at last, and I get other errors about device files, but this is another problem. ;)

Thanks a lot!

Nicolas

______________________________________________________________________
This email has been scanned by the MessageLabs Email Security System.
For more information please visit http://www.messagelabs.com/email 
______________________________________________________________________

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/